Package io.vertx.rxjava3.mqtt.messages

## Class MqttAuthenticationExchangeMessage

- java.lang.Object
- - io.vertx.rxjava3.mqtt.messages.MqttAuthenticationExchangeMessage

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MqttAuthenticationExchangeMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents an MQTT AUTH message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttAuthenticationExchangeMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MqttAuthenticationExchangeMessage​(MqttAuthenticationExchangeMessage delegate)` |
    `MqttAuthenticationExchangeMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Buffer` | `authenticationData()` |
    `String` | `authenticationMethod()` |
    `static MqttAuthenticationExchangeMessage` | `create​(MqttAuthenticateReasonCode reasonCode, MqttProperties properties)` | Create a concrete instance of a Vert.x auth message
    `boolean` | `equals​(Object o)` |
    `MqttAuthenticationExchangeMessage` | `getDelegate()` |
    `int` | `hashCode()` |
    `static MqttAuthenticationExchangeMessage` | `newInstance​(MqttAuthenticationExchangeMessage arg)` |
    `MqttProperties` | `properties()` |
    `MqttAuthenticateReasonCode` | `reasonCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttAuthenticationExchangeMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttAuthenticationExchangeMessage

          public MqttAuthenticationExchangeMessage​(MqttAuthenticationExchangeMessage delegate)

    - #### MqttAuthenticationExchangeMessage

          public MqttAuthenticationExchangeMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttAuthenticationExchangeMessage getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### reasonCode

          public MqttAuthenticateReasonCode reasonCode()

      Returns:
        authenticate reason code

    - #### authenticationMethod

          public String authenticationMethod()

      Returns:
        authenticate method

    - #### authenticationData

          public Buffer authenticationData()

      Returns:
        authentication data

    - #### create

          public static MqttAuthenticationExchangeMessage create​(MqttAuthenticateReasonCode reasonCode,
                                                                 MqttProperties properties)

      Create a concrete instance of a Vert.x auth message
      Parameters:
        `reasonCode` - authenticate reason code
        `properties` - mqtt properties.
      Returns:
        Vert.x auth message

    - #### properties

          public MqttProperties properties()

      Returns:
        MQTT properties

    - #### newInstance

          public static MqttAuthenticationExchangeMessage newInstance​(MqttAuthenticationExchangeMessage arg)